> ## Documentation Index
> Fetch the complete documentation index at: https://docs.easybilling.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# List valid contract actions for an account

> An account token can access only its own account. Another account is
returned as 404, the same as a missing account.




## OpenAPI

````yaml /billing.openapi.json get /api/contract-actions/accounts/{accountNumber}
openapi: 3.1.0
info:
  title: Billing
  description: |+

  version: 1.0.0
  summary: ''
servers:
  - url: https://sbx.api.easybilling.cloud/billing
    description: SBX
  - url: https://api.easybilling.cloud/billing
    description: Production-AWS
security:
  - token: []
tags:
  - name: account
  - name: payment method
  - name: contract action
  - name: usage event
  - name: billing document
  - name: invoice pdf
  - name: prepaid credits
  - name: customer portal
  - name: Contract Actions
paths:
  /api/contract-actions/accounts/{accountNumber}:
    get:
      tags:
        - contract action
        - Contract Actions
      summary: List valid contract actions for an account
      description: |
        An account token can access only its own account. Another account is
        returned as 404, the same as a missing account.
      operationId: listContractActionsByAccountNumber
      parameters:
        - name: accountNumber
          in: path
          description: ''
          required: true
          example: '{{accountNumber}}'
          schema:
            type: string
        - name: trace-id
          in: header
          description: ''
          required: true
          example: '{{$string.uuid}}'
          schema:
            type: string
      responses:
        '200':
          description: Contract actions for the account.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ContractAction'
          headers: {}
      deprecated: false
      security:
        - token: []
components:
  schemas:
    ContractAction:
      type: object
      properties:
        id:
          type: string
        number:
          type: string
        accountId:
          type: string
        contractId:
          type: string
        actionType:
          type: string
        contractActionItemRequest:
          type: object
          additionalProperties: true
          properties: {}
        contractSegmentIds:
          type: array
          items:
            type: string
        status:
          type: string
        externalReferenceId:
          type:
            - string
            - 'null'
        createdAt:
          type: string
          format: date-time
        createdBy:
          type: string
        updatedAt:
          type: string
          format: date-time
        updatedBy:
          type: string
  securitySchemes:
    token:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.